Subject: mv: add support for --one-file-system

From: Mike Frysinger <[email-masked]>
Date: Tue, 24 Jan 2023 20:20:40 -0500

mv will automatically use rename, but if that fails (e.g. with EXDEV),
it falls back to copying files.  i'd like to require that the mv be
atomic when relocating a directory, and if it isn't, fallback to other
logic.  to that end, it'd be nice if mv supported --one-file-system and
would return an error when hitting EXDEV rather than copying.
-mike